NTP_WAIT(8)

NAME
ntp-wait - Wait for ntpd to stabilize the system clock

SYNOPSIS
ntp-wait [-flags] [-flag value] [--option-name value]

All arguments must be options.

DESCRIPTION
ntp-wait will send at most num-tries queries to ntpd(8), sleeping for secs-between-tries after each status return that says ntpd(8) has not yet produced a synchronized and stable system clock.

ntp-wait will do this quietly, unless the -v flag is provided.

OPTIONS

-n  num-tries,  -- = num-tries
    Number of times to check ntpd. This option takes an integer number as its argument. The default num-tries for this option is:
    100

    The maximum number of times we will check ntpd to see if it has been able to synchronize and stabilize the system clock.

-s  secs-between-tries,  -- = secs-between-tries
    How long to sleep between tries. This option takes an integer number as its argument. The default secs-between-tries for this option is:
    6

    We will sleep for secs-between-tries after each query of ntpd that returns "the time is not yet stable".

-v ,  --
    Be verbose.

    By default, ntp-wait is silent. With this option, ntp-wait will provide status information.

-?,  --help
    Display usage information and exit.

-!,  --more-help
    Pass the extended usage information through a pager.

-  [{v|c|n}],  --version [={v|c|n}]
    Output version of program and exit. The default mode is `v', a simple version. The `c' mode will print copyright information and `n' will print the full copyright notice.

OPTION PRESETS
Any option that is not marked as not presettable may be preset by loading values from environment variables named:
  NTP_WAIT_<option-name> or NTP_WAIT
cvt_prog='/usr/local/gnu/share/autogen/texi2mdoc' cvt_prog=`cd `dirname "$cvt_prog"` >/dev/null && pwd `/`basename "$cvt_prog"` cd $tmp_dir test -x "$cvt_prog" || die "'$cvt_prog' is not executable" { list='synopsis description options option-presets' for f in $list ; do cat $f ; echo ; done rm -f $list name list='implementation-notes environment files examples exit-status errors compatibility see-also conforming-to history authors copyright bugs notes' for f in $list ; do cat $f ; echo ; done > .end-doc rm -f $list list=`ls -1 *`' .end-doc' for f in $list ; do cat $f ; echo ; done rm -f $list } 1>.doc 2>/dev/null sed -f .cmds .doc | /usr/local/gnu/bin/grep -E -v '^[ ]*$' | $cvt_prog

ENVIRONMENT
See OPTION PRESETS for configuration environment variables.

EXIT STATUS
One of the following exit values will be returned:

0  (EXIT_SUCCESS)
    Successful program execution.

1  (EXIT_FAILURE)
    The operation failed or the command syntax was not valid.

70  (EX_SOFTWARE)
    libopts had an internal operational error. Please report it to autogen-users@lists.sourceforge.net. Thank you.

AUTHORS
Harlan Stenn

COPYRIGHT
Copyright (C) 1970-2013 The University of Delaware all rights reserved. This program is released under the terms of the NTP license, <http://ntp.org/license>.

BUGS
Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org

NOTES
This document corresponds to version 4.2.7p364 of NTP.

This manual page was AutoGen-erated from the ntp-wait option definitions.